from pydantic import BaseModel, Field
from typing import Literal

class Message(BaseModel):
    role: Literal["user", "assistant"] = Field(description="The role of the message")
    content: str = Field(description="The content of the message")


class PairMessage(BaseModel):
    human: str = Field(description="The question of the pair message")
    assistant: str = Field(description="The answer of the pair message")


class Conversation(BaseModel):
    messages: list[PairMessage] = Field(description="The messages of the conversation")
